SDL_wcslcat(3)

NAME
SDL_wcslcat - Concatenate wide strings.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

size_t SDL_wcslcat(wchar_t *dst, const wchar_t *src, size_t maxlen);

DESCRIPTION
This function appends up to maxlen

• SDL_wcslen (dst) - 1 wide characters from src to the end of the wide string in dst , then appends a null terminator. src and dst must not overlap.

If maxlen

• SDL_wcslen (dst) - 1 is less than or equal to 0, then dst is unmodified.

FUNCTION PARAMETERS

dst The destination buffer already containing the first null-terminated wide string. Must not be NULL and must not overlap with src .

src The second null-terminated wide string. Must not be NULL, and must not overlap with dst .

maxlen
    The length (in wide characters) of the destination buffer.

RETURN VALUE
Returns the length (in wide characters, excluding the null terminator) of the string in dst plus the length of src .

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_wcslcpy(3)